Index: extensions/whois_online/language/pl_PL/index.php
===================================================================
--- extensions/whois_online/language/pl_PL/index.php	(revision 4284)
+++ extensions/whois_online/language/pl_PL/index.php	(revision 4284)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/whois_online/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/whois_online/language/pl_PL/plugin.lang.php	(revision 4284)
+++ extensions/whois_online/language/pl_PL/plugin.lang.php	(revision 4284)
@@ -0,0 +1,116 @@
+<?php
+$lang['Monitor'] = 'Monitorowanie';
+$lang['Active capture'] = 'Aktywne przechwytanie';
+$lang['Delete level [10-200] (ratio between obsolete and active)'] = 
+	'Poziom usuwania [10-200] (wspó³czynnik pomiêdzy zdeaktualizowanymi a aktywnymi)';
+$lang['Obsolete limit [20-100] (obsolete data count)'] = 
+	'Limid deaktualizacji [20-100] (liczba nieaktualnych danych)';
+$lang['Add link to Plugins menu'] = 'Dodaj link w menu Wtyczki';
+$lang['Keep data even if plugin is deactivated/uninstall'] = 
+	'Przechowuj dane nawet jezlu wtyczka jest nieaktywna/odinstalowana';
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 
+	'Zaawansowani u¿ytkownicy: zmienne szablonów s¹ dostêpne we wszystkich przypadkach i mog¹ byæ takze wykorzystane w Twoich wtyczkach';
+$lang['Default display'] = 'Wywietlanie domylne';
+$lang['Total hits:'] = 'Suma odwiedzin:';
+//$lang['Image hits:'] = 'Odwiedzonych obrazów:';
+//$lang['other hits:'] = 'odwiedzonych innych:';
+$lang['Your recently viewed pictures'] = 'Twoje aktualnie ogl¹dane obrazy';
+$lang['Most recent 10 minutes hits:'] = 'Najczêciej ogl¹dane w ci¹gu ostatnich 10 minut:';
+$lang['Some of recently viewed pictures by other users'] = 'Some of recently viewed pictures by other users';
+$lang['Current hour hits:'] = 'Current hour hits:';
+$lang['Yesterday hits:'] = 'Yesterday hits:';
+$lang['Last 24h users:'] = 'Last 24 hours visitors:';
+$lang['Last hour online users:'] = 'Current hour visitors:';
+$lang['Recent guest(s):'] = 'Recent guest(s):';
+$lang['Recent member(s):'] = 'Recent member(s):';
+$lang['Permanence/Durability of user monitoring'] = 'Permanence/Durability of user monitoring';
+//$lang['Next version enhancements: Set/Unset of permanence, Cleaning, and detail reporting'] = 
+//	'Next version enhancements: Set/Unset of permanence, Cleaning, and detail reporting';
+$lang['Whois_review'] = 'Recently viewed by you';
+$lang['Whois_others'] = 'Recently viewed by others'; /* or you a long time ago */
+$lang['Add icon to History'] = 'Add icon to History';
+
+// Added 2.0.e
+$lang['Radar limit'] = 'Radar limit';
+$lang['Users with image cluetips [10-200]'] = 'Users with image cluetips [10-200]';
+$lang['Default %s'] = 'Default %s';
+$lang['Default as anybody'] = 'Default as anybody';
+$lang['Webmasters management:'] = 'Webmasters management:';
+$lang['Exclude'] = 'Exclude';
+$lang['Hidden'] = 'Hidden';
+$lang['As anybody'] = 'As anybody';
+$lang['Administrators management:'] = 'Administrators management:';
+$lang['Your `%s` table summary'] = 'Your `%s` table summary';
+$lang['Compress it!'] = 'Compress it!';
+$lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = 
+	' => Delete old guests access (over 3 days), and optimize table and index.';
+$lang['Space used: %s'] = 'Space used: %s';
+$lang['Unused allocated space: <strong>%s</strong>'] = 'Unused allocated space: <strong>%s</strong>';
+$lang['Traced sessions: %s'] = 'Traced sessions: %s';
+$lang['Altered/created since: %s'] = 'Altered/created since: %s';
+$lang['Clearing'] = 'Clearing';
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 
+	'Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.';
+$lang['Delete'] = 'Delete';
+$lang['Members summary'] = 'Members summary';
+$lang['Registration counter: %s'] = 'Registration counter: %s';
+$lang['Most members ever online was %s on %s'] = 'Most members ever online was %s on %s';
+$lang['Y-m-d H:i'] = 'F dS, Y g:i A';
+$lang['Available filters'] = 'Available filters';
+$lang['Monitored members'] = 'Monitored members';
+$lang['Captured guests'] = 'Captured guests';
+$lang['Last 24h accesses'] = 'Last 24h accesses';
+$lang['More than 24h accesses'] = 'More than 24h accesses';
+$lang['Pictures accesses'] = 'Pictures accesses';
+$lang['No picture accesses'] = 'No picture accesses';
+$lang['Unidentifed countries'] = 'Unidentifed countries';
+$lang['Only one day accesses'] = 'Only one day accesses';
+$lang['Several days accesses or over midnight'] = 'Several days accesses or over midnight';
+$lang['Several identified IPs (Only the first one is kept)'] = 'Several identified IPs (Only the first one is kept)';
+$lang['User access details'] = 'User access details';
+$lang['No data available'] = 'No data available';
+$lang['users'] = 'Users';
+$lang['First access'] = 'First access';
+$lang['Level'] = 'Level';
+$lang['Images (Modify)'] = 'Images (Modify)';
+$lang['Last access'] = 'Last access';
+$lang['User:'] = 'User:';
+$lang['(Multiple IP)'] = '(Multiple IP)';
+$lang['Registered since'] = 'Registered since';
+$lang['Hits since'] = 'Hits since';
+$lang['on pictures'] = 'on pictures';
+$lang['on pages'] = 'on pages';
+$lang['Level %d'] = 'Level %d';
+$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] = 
+	'Image privacy level is higher than the user privacy level (Any change of one of them?)';
+$lang[' - Over the radar limit => No level control'] = ' - Over the radar limit => No level control';
+$lang['Previous connection dates'] = 'Previous connection dates';
+$lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = 
+	': provides newcomers\' localization and possibly new country flags, thanks to them.';
+$lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] =
+	': provides IP geolocalization on request (link on flag). Useful for unknown countries.';
+$lang['Report'] = 'Radar Report';
+$lang['Error range: '] = 'Error range: ';
+$lang['Radar_limit [10-200] (Users with image cluetips on radar page)'] = 
+	'Radar_limit [10-200] (Users with image cluetips on radar page)';
+$lang['User follow up error'] = 'User follow up error';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 
+	'You are Adviser and you are not authorized to change this configuration.';
+$lang['Configuration has been saved.'] = 'Configuration has been saved.';
+$lang['Permanent users (3 months min)'] = 'Permanent users (3 months min)';
+$lang['Temporary users (around 72 hours)'] = 'Temporary users (around 72 hours)';
+$lang['Unknown country'] = 'Unknown country';
+$lang['Deleted language'] = 'Deleted language';
+$lang['Recents (less 24h)'] = 'Recents (less 24h)';
+$lang['More than 24h'] = 'More than 24h';
+$lang['On pictures'] = 'On pictures';
+$lang['Categories only'] = 'Categories only';
+$lang['No country'] = 'No country';
+$lang['One day'] = 'One day';
+$lang['Several days'] = 'Several days';
+$lang['Several IPs'] = 'Several IPs';
+$lang['http:geoiptool'] = 'http://www.geoiptool.com/en/?IP=';
+$lang[':geoiptool:title']= 'My IP Address Lookup and GeoTargeting information';
+$lang['http:hostip'] = 'http://www.hostip.info';
+$lang[':hostip:title'] = 'My IP Address Lookup and GeoTargeting Community Geotarget IP Project - what country, city IP addresses map to';
+?>