Index: extensions/LLGBO2/admin/llgbo_admin.php
===================================================================
--- extensions/LLGBO2/admin/llgbo_admin.php	(revision 4293)
+++ extensions/LLGBO2/admin/llgbo_admin.php	(revision 4293)
@@ -0,0 +1,138 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Plugin Name : Look_Like_GBO  2                                                              |
+// | Plugin Version : 2.0                                                                                    |
+// | File Version : 0.1                                                                                       |
+// | Plugin Version author : Ex-FTB                                                               |
+// | Plugin description :                                                                                  |
+// | Ce plugin permet d'afficher les miniatures au survol des boutons     |
+// | de navigation. This plugin allows display thumbnail under buton        |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// ***************************************
+// ** Plugin Administration panel setup **
+// ***************************************
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+/* ****************************************************** */
+/* Plugin template initialisation for admin panel display */
+/* ****************************************************** */
+global $template , $conf,$lang;
+{$template->assign( 'LLGBO_VERSION' , LLGBO_INFO_VERSION);}
+$me = get_plugin_data($plugin_id);
+$template->clear_assign('LLGBOINFO');
+// Load configuration settings from database
+$conf_LLGBO = explode("," , $conf['LLGBO']);
+
+// Setup plugin Language
+load_language('plugin.lang', LLGBO_PATH);
+ 
+// Update configuration settings in database
+if ( isset($_POST['submit']) )
+{  
+if (!isset($_POST['llgbo_frame'])) {$_POST['llgbo_frame'] = 'false';} 
+if (!isset($_POST['llgbo_tooltip'])) {$_POST['llgbo_tooltip'] = 'false';}  
+if (!isset($_POST['llgbo_exifunderbt'])) {$_POST['llgbo_exifunderbt'] = 'false';}  
+if (!isset($_POST['llgbo_usemap'])) {$_POST['llgbo_usemap'] = 'false';}
+if (!isset($_POST['llgbo_usemap_thumb'])) {$_POST['llgbo_usemap_thumb'] = 'false';}
+if (!isset($_POST['llgbo_title_frame'])) {$_POST['llgbo_title_frame'] = 'false';}    
+if (!isset($_POST['llgbo_header'])) {$_POST['llgbo_header'] = 'false';} 
+if (!isset($_POST['llgbo_maintain_header'])) {$_POST['llgbo_maintain_header'] = '';}
+if (!isset($_POST['llgbo_allinfo'])) {$_POST['llgbo_allinfo'] = 'false';}
+if (!isset($_POST['llgbo_default_navthumb'])) {$_POST['llgbo_default_navthumb'] = 'false';}
+if (!isset($_POST['llgbo_always_displayexif'])) {$_POST['llgbo_always_displayexif'] = 'true';}  
+ $param_llgbo = array($_POST['llgbo_frame'],
+            $_POST['llgbo_tooltip'],
+            $_POST['llgbo_exifunderbt'],
+            $_POST['llgbo_usemap'],
+			$_POST['llgbo_usemap_thumb'],
+            $_POST['llgbo_title_frame'],
+			$_POST['llgbo_header'],
+			$_POST['llgbo_maintain_header'],
+			$_POST['llgbo_allinfo'],
+			$_POST['llgbo_default_navthumb'],
+			$_POST['llgbo_always_displayexif'],
+		);		 
+        $llgbo_new_value = implode ("," , $param_llgbo);
+        $query = '
+UPDATE ' . CONFIG_TABLE . '
+  SET value="' . $llgbo_new_value . '"
+  WHERE param="LLGBO"
+  LIMIT 1';
+        pwg_query($query);
+
+ $template->assign('LLGBOINFO','llgbo_info');
+
+// Reload settings for correct display after update
+$conf['LLGBO']= $llgbo_new_value;
+}
+
+$conf_LLGBO = explode("," , $conf['LLGBO']);
+// template setting
+if ($conf_LLGBO[0] == 'true')
+{$template->assign( 'LLGBO_FRAME' , 'true');}
+ else
+{$template->assign( 'LLGBO_FRAME' , 'false');}
+if ($conf_LLGBO[1] == 'true')
+{$template->assign( 'LLGBO_TOOLTIP' , 'true');}
+ else
+ {$template->assign( 'LLGBO_TOOLTIP' , "false");}
+ 
+if ($conf_LLGBO[2]  == 'true')
+{$template->assign('LLGBO_EXIFUNDERBT' , 'true');}
+ else
+ {$template->assign( 'LLGBO_EXIFUNDERBT' , "false");}
+ 
+if ($conf_LLGBO[3]  == 'true')
+ {$template->assign( array( 'LLGBO_USEMAP' => 'true'));}
+ else
+ { $template->assign( array( 'LLGBO_USEMAP' => "false"));}
+ 
+ if ($conf_LLGBO[4]  == 'true')
+ {$template->assign( array( 'LLGBO_USEMAP_THUMB' => 'true'));}
+ else
+ { $template->assign( array( 'LLGBO_USEMAP_THUMB' => "false"));}
+ 
+ if ($conf_LLGBO[5]  == 'true')
+{ $template->assign( array( 'LLGBO_TITLE_FRAME' => 'true'));}
+ else
+{  $template->assign( array( 'LLGBO_TITLE_FRAME' => "false"));}
+
+if ($conf_LLGBO[6] == 'true')
+{ $template->assign( array( 'LLGBO_HEADER' => 'true'));}
+ else
+ { $template->assign( array( 'LLGBO_HEADER' => "false"));}
+ 
+ $template->assign(array( 'LLGBO_MAINTAIN_HEADER' => $conf_LLGBO[7]));
+ 
+ if ($conf_LLGBO[8]  == 'true')
+{ $template->assign(array( 'LLGBO_ALLINFO' => 'true'));}
+ else
+{  $template->assign( array( 'LLGBO_ALLINFO' => "false"));} 
+
+if ($conf_LLGBO[9] == 'true')
+{ $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => 'true'));}
+ else
+ { $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => "false"));}
+ 
+if ($conf_LLGBO[10] == 'true')
+{ $template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => 'true'));}
+ else
+ { $template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => "false"));} 
+ 
+$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_admin.tpl') );
+$template->assign_var_from_handle( 'ADMIN_CONTENT', 'llgbo_admin_content');
+?>
Index: extensions/LLGBO2/admin/llgbo_admin.tpl
===================================================================
--- extensions/LLGBO2/admin/llgbo_admin.tpl	(revision 4293)
+++ extensions/LLGBO2/admin/llgbo_admin.tpl	(revision 4293)
@@ -0,0 +1,54 @@
+<div class="infos" style="text-align:left;padding-left:45px;font-size:14px;font-weight:bold;">{$LLGBOINFO|@translate}</div>
+ <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
+{'Howto'|@translate}
+<form method="post" action="{$llgbo_F_ACTION}" class="properties">
+<fieldset>
+<legend>{'Step1_Title'|@translate}</legend>
+<ul style="font-size:1em;font-weight:normal;margin-right:30%;text-align:right">
+  <li>
+  <span >{'llgbo_frame'|@translate}</span>
+  {html_radios name='llgbo_frame' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_FRAME}  
+  </li>
+  <li>
+   <span> {'llgbo_tooltip'|@translate} </span>
+  {html_radios name='llgbo_tooltip' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_TOOLTIP}
+  </li>
+    <li>
+	<span>{'llgbo_always_displayexif'|@translate} </span>
+	{html_radios name='llgbo_always_displayexif' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_ALWAYS_DISPLAYEXIF}
+	</li>
+  <li>
+	<span>{'llgbo_exifunderbt'|@translate} </span>
+	{html_radios name='llgbo_exifunderbt' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_EXIFUNDERBT}
+	</li>
+	<li>
+	<span> {'llgbo_usemap'|@translate} </span>
+	{html_radios name='llgbo_usemap' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_USEMAP}
+	</li>
+	<li>
+	<span> {'llgbo_usemap_thumb'|@translate} </span>
+	{html_radios name='llgbo_usemap_thumb' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_USEMAP_THUMB}	
+	</li>
+	<li>
+	<span> {'llgbo_title_frame'|@translate}</span>
+	{html_radios name='llgbo_title_frame' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_TITLE_FRAME}	
+	</li>
+	<li>
+	<li>
+	<span> {'llgbo_default_navthumb'|@translate}</span>
+	{html_radios name='llgbo_default_navthumb' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_DEFAULT_NAVTHUMB}	
+	</li>
+	<span> {'llgbo_header'|@translate}</span>
+	 {html_radios name='llgbo_header' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER}	
+	</li>
+	<li>
+	<span> 	{'llgbo_maintain_header'|@translate}	</span><br>
+	<textarea Style="margin-right:-15%;"  rows=2 COLS=80  name="llgbo_maintain_header">{$LLGBO_MAINTAIN_HEADER}</TEXTAREA> 	
+	</li>
+    
+	
+</ul>
+<br>
+	<div align="center"><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
+</fieldset>
+</form>