Index: extensions/LLGBO2/language/en_UK/description.txt
===================================================================
--- extensions/LLGBO2/language/en_UK/description.txt	(revision 4294)
+++ extensions/LLGBO2/language/en_UK/description.txt	(revision 4294)
@@ -0,0 +1,4 @@
+Display thumbnail and Exif under button.(on mouseover)
+-Display border around picture.
+-Add navigation on picture.
+-Display banner only on first page and on additional pages. 
Index: extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4294)
+++ extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4294)
@@ -0,0 +1,23 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+$lang['submit'] = 'Submit';
+$lang['Title'] = 'Look like GBo';
+$lang['Howto'] = 'This plugin permits to change the picture page presentation.<br>Special thanks to all the forum for their precious help   ';
+$lang['Step1_Title'] = 'Plugin settings';
+$lang['llgbo_tooltip']='Display tooltip (thumbnail under button) on mouseover :';
+$lang['llgbo_exifunderbt']='Display tooltip (EXIF under button metadata) on mouseover :';
+$lang['llgbo_always_displayexif'] = 'Always display METADATA:' ;
+$lang['llgbo_frame']='Display a white  frame around the picture :';
+$lang['llgbo_header']='Header is only display on the fisrt page :';
+$lang['llgbo_maintain_header']='Maintain header on the following pages :';
+$lang['llgbo_allinfo']='Display all the phpwebgallery data picture :';
+$lang['llgbo_usemap']='Add navigation on picture :';
+$lang['llgbo_usemap_thumb']='Display thumbnails when navigation on picture is active :';
+$lang['llgbo_info']='(^_^)Settings updated !';
+$lang['llgbo_title_frame'] = 'Display picture title on frame';
+$lang['llgbo_default_navthumb'] = 'Hide standard display of Prev_Next thumbnails:';
+?>
Index: extensions/LLGBO2/language/fr_FR/description.txt
===================================================================
--- extensions/LLGBO2/language/fr_FR/description.txt	(revision 4294)
+++ extensions/LLGBO2/language/fr_FR/description.txt	(revision 4294)
@@ -0,0 +1,5 @@
+Ce plugin modifie la présentation de la page d'affichage des images.
+-Affiche les miniatures et les Exifs lors du survol des boutons.
+-Affiche un cadre autour de l'image.
+-Ajoute la navigation sur l'image.
+- Limite l'affichage de la bannière à la 1° page et aux pages additionnelles.
Index: extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4294)
+++ extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4294)
@@ -0,0 +1,24 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+
+$lang['submit'] = 'Valider';
+$lang['Title'] = 'Look like GBo';
+$lang['Howto'] = 'Ce plugin permet de modifier la présentation de la page image. Merci au forum pour son aide';
+$lang['Step1_Title'] = 'Paramétrage du Plugin ';
+$lang['llgbo_tooltip']='Infobulles spécifiques (miniatures des photos) au survol des boutons :';
+$lang['llgbo_exifunderbt']='Affiche les EXIFS au survol du bouton :';
+$lang['llgbo_always_displayexif'] = 'Toujours afficher les METADATA:' ;
+$lang['llgbo_frame']='Affiche un cadre blanc autour de l\'image :';
+$lang['llgbo_header']='L\'entéte n\'est affichée que sur la page d\'accueil  :';
+$lang['llgbo_maintain_header']='Conserver l\'entéte sur les pages suivantes :';
+$lang['llgbo_allinfo']='Affiche toutes les informations de l\'image  :';
+$lang['llgbo_usemap']='Ajoute la navigation sur l\'image :';
+$lang['llgbo_usemap_thumb']='Affiche les miniatures lors de la navigation sur l\'image :';
+$lang['llgbo_info']='     (^_^) Vos paramétres sont enregistrés !';
+$lang['llgbo_title_frame'] = 'Afficher le titre de l\'image sur le cadre';
+$lang['llgbo_default_navthumb'] = 'Supprime l\'affichage standard des miniatures de navigation :';
+?>