Index: extensions/LLGBO2/js/addevent.js
===================================================================
--- extensions/LLGBO2/js/addevent.js	(revision 4297)
+++ extensions/LLGBO2/js/addevent.js	(revision 4297)
@@ -0,0 +1,39 @@
+Array.prototype.inArray = function (value) {
+	var i;
+	for (i=0; i < this.length; i++) {
+		if (this[i] === value) {
+			return true;}
+	}
+	return false;
+};
+
+function addEvent( obj, type, fn ) {
+	if (obj.addEventListener) {
+		obj.addEventListener( type, fn, false );
+		EventCache.add(obj, type, fn);}
+	else if (obj.attachEvent) {
+		obj["e"+type+fn] = fn;
+		obj[type+fn] = function() { obj["e"+type+fn]( window.event ); }
+		obj.attachEvent( "on"+type, obj[type+fn] );
+		EventCache.add(obj, type, fn);}
+	else {obj["on"+type] = obj["e"+type+fn];}
+}
+	
+var EventCache = function(){
+	var listEvents = [];
+	return {
+		listEvents : listEvents,
+		add : function(node, sEventName, fHandler){
+			listEvents.push(arguments);
+		},
+		flush : function(){
+			var i, it;
+			for(i = listEvents.length - 1; i >= 0; i = i - 1){
+				it = listEvents[i];
+				if(it[0].removeEventListener){
+					it[0].removeEventListener(it[1], it[2], it[3]);};
+				if(it[1].substring(0, 2) != "on"){it[1] = "on" + it[1];};
+				if(it[0].detachEvent){it[0].detachEvent(it[1], it[2]);};
+				it[0][it[1]] = null;};
+		}	};}();
+addEvent(window,'unload',EventCache.flush);
Index: extensions/LLGBO2/js/addevent_comment.js
===================================================================
--- extensions/LLGBO2/js/addevent_comment.js	(revision 4297)
+++ extensions/LLGBO2/js/addevent_comment.js	(revision 4297)
@@ -0,0 +1,41 @@
+Array.prototype.inArray = function (value) {
+	var i;
+	for (i=0; i < this.length; i++) {
+		if (this[i] === value) {
+			return true;}
+	}
+	return false;
+};
+
+function addEvent2( obj, type, fn ) {
+	if (obj.addEventListener) {
+		obj.addEventListener( type, fn, false );
+		EventCache.add(obj, type, fn);}
+	else if (obj.attachEvent) {
+		obj["e"+type+fn] = fn;
+		obj[type+fn] = function() { obj["e"+type+fn]( window.event ); }
+		obj.attachEvent( "on"+type, obj[type+fn] );
+		EventCache.add(obj, type, fn);}
+	else {
+		obj["on"+type] = obj["e"+type+fn];
+	}
+}
+	
+var EventCache = function(){
+	var listEvents = [];
+	return {
+		listEvents : listEvents,
+		add : function(node, sEventName, fHandler){
+			listEvents.push(arguments);
+		},
+		flush : function(){
+			var i, it;
+			for(i = listEvents.length - 1; i >= 0; i = i - 1){
+				it = listEvents[i];
+				if(it[0].removeEventListener){
+					it[0].removeEventListener(it[1], it[2], it[3]);};
+				if(it[1].substring(0, 2) != "on"){it[1] = "on" + it[1];};
+				if(it[0].detachEvent){it[0].detachEvent(it[1], it[2]);};
+				it[0][it[1]] = null;};
+		}	};}();
+addEvent2(window,'unload',EventCache.flush);
Index: extensions/LLGBO2/js/sweettitlesn.js
===================================================================
--- extensions/LLGBO2/js/sweettitlesn.js	(revision 4297)
+++ extensions/LLGBO2/js/sweettitlesn.js	(revision 4297)
@@ -0,0 +1,47 @@
+// Author: Dustin Diaz | http://www.dustindiaz.com
+Array.prototype.inArray = function (value){var i;for (i=0;i < this.length;i++){ if (this[i] === value){return true;} }  return false;};
+function addEvent2(obj,type,fn ){ if (obj.addEventListener){ obj.addEventListener( type,fn,false );EC.add(obj,type,fn);}
+ else if (obj.attachEvent){
+ obj["e"+type+fn] = fn;obj[type+fn] = function(){ obj["e"+type+fn]( window.event );}
+ obj.attachEvent( "on"+type,obj[type+fn] );EC.add(obj,type,fn);}
+ else{obj["on"+type] = obj["e"+type+fn];}}
+ var EC = function(){
+ var LE = [];return{
+ LE : LE,
+ add : function(node,sEventName,fHandler){
+ LE.push(arguments);},
+ flush : function(){
+ var i,it;for(i = LE.length - 1;i >= 0;i = i - 1){
+ it = LE[i];if(it[0].removeEventListener){
+  it[0].removeEventListener(it[1],it[2],it[3]);};if(it[1].substring(0,2) != "on"){it[1] = "on" + it[1];};if(it[0].detachEvent){it[0].detachEvent(it[1],it[2]);};it[0][it[1]] = null;};} };}();addEvent2(window,'unload',EC.flush);
+
+var S ={xCord : 0,yCord : 0,tipElements : ['a','span','area'],obj : Object,x : Object,
+ init : function(){if ( !document.getElementById || !document.createElement || !document.getElementsByTagName ){return;}
+ var i,j,Over;this.x = document.createElement('div');
+ this.x.id = 'toolTip';document.getElementsByTagName('body')[0].appendChild(this.x);this.x.style.top = '0';this.x.style.visibility = 'hidden';var tipLen = this.tipElements.length;for ( i=0;i<tipLen;i++ ){
+ var Elms = document.getElementsByTagName(this.tipElements[i]);var curLen = Elms.length;for ( j=0;j<curLen;j++ ){
+ var el= Elms[j];var tv = el.getAttribute('title')
+ if (tv != "null" && tv !=null && tv !="") //chrome
+{addEvent2(el,'mouseover',this.tipOver); addEvent2(el,'mousemove',this.tipMouseMove); addEvent2(el,'mouseout',this.tipOut); var sv = el.getAttribute('swttips'); el.setAttribute('Stitle',tv); el.setAttribute('Stip',sv ); el.removeAttribute('title');
+ el.removeAttribute('swttips');} el.removeAttribute('alt');} } },
+ updateXY : function(e){ if (document.captureEvents){S.xCord = e.pageX;S.yCord = e.pageY;} else if (window.event.clientX){S.xCord = window.event.clientX+document.documentElement.scrollLeft;S.yCord = window.event.clientY+document.documentElement.scrollTop;}},
+ tipOut: function(){
+ if ( window.tID ){clearTimeout(tID);}
+ if ( window.opacityID ){clearTimeout(opacityID);}
+ S.x.style.visibility = 'hidden';},
+ checkNode : function(){ var trueObj = this.obj;if ( this.tipElements.inArray(trueObj.nodeName.toLowerCase()) ){ return trueObj;} else{return trueObj.parentNode;}},
+ tipOver : function(e){S.obj = this;tID = window.setTimeout("S.tipShow()",100); S.updateXY(e);},
+ tipMouseMove : function(e){S.updateXY(e);S.tipMove();},
+ tipShow : function(){ 
+ var Z = this.checkNode(); h1 = "<p class='title'>" + Z.getAttribute('Stitle') + "</p>";
+ var St = Z.getAttribute('Stip'); 
+ if ((St != null) && (St != "null") && (St !="") ){h1 = h1 +"<p>"+St+"</p>";} 
+ this.x.innerHTML = h1;
+ S.Move;var T = this.x.style;T.visibility = 'visible';T.opacity = '.1';this.tipFade(10);},
+ tipMove: function()
+{var scrX = Number(this.xCord);var scrY = Number(this.yCord);var tp = parseInt(scrY+8);var lt = parseInt(scrX+8);var D = document.documentElement;var T = this.x.style;if ( parseInt(D.clientWidth+D.scrollLeft) < parseInt(this.x.offsetWidth+lt) ){
+ T.left = parseInt(lt-(this.x.offsetWidth+3))+'px';} else{T.left = lt+'px';}
+ if ( parseInt(D.clientHeight+D.scrollTop) < parseInt(this.x.offsetHeight+tp) ){T.top = parseInt(tp-(this.x.offsetHeight+3))+'px';} else{T.top = tp+'px';}},
+ tipFade: function(opac){var passed = parseInt(opac);var newOpac = parseInt(passed+10); T = this.x.style;if ( newOpac < 92 ){T.opacity = '.'+newOpac;T.filter = "alpha(opacity:"+newOpac+")";opacityID = window.setTimeout("S.tipFade('"+newOpac+"')",20);} else{ T.opacity = '.92';T.filter = "alpha(opacity:92)";}}
+};function pageLoader(){ S.init();}
+addEvent2(window,'load',pageLoader);
Index: extensions/LLGBO2/js/sweettitlesn_comment.js
===================================================================
--- extensions/LLGBO2/js/sweettitlesn_comment.js	(revision 4297)
+++ extensions/LLGBO2/js/sweettitlesn_comment.js	(revision 4297)
@@ -0,0 +1,109 @@
+/*
+Sweet Titles (c) Creative Commons 2005
+http://creativecommons.org/licenses/by-sa/2.5/
+Author: Dustin Diaz | http://www.dustindiaz.com
+Revision:ex-ftb 2006*/
+var sweetTitles = { 
+	xCord : 0,								
+	yCord : 0,								
+	tipElements : ['a','img','span','area'],			
+	obj : Object,							
+	x : Object,							
+	init : function() {
+		if ( !document.getElementById ||
+			!document.createElement ||
+			!document.getElementsByTagName ) {return;	}
+		var i,j,Over;
+		this.x = document.createElement('div');	
+		this.x.id = 'toolTip';
+		document.getElementsByTagName('body')[0].appendChild(this.x);
+		this.x.style.top = '0';
+		this.x.style.visibility = 'hidden';
+		var tipLen = this.tipElements.length;
+		for ( i=0; i<tipLen; i++ ) {
+			var Elms = document.getElementsByTagName(this.tipElements[i]);
+			var curLen = Elms.length;
+			for ( j=0; j<curLen; j++ ) {
+				var el= Elms[j];
+				var tv = el.getAttribute('title')
+				if ( tv != null && tv != "null" && tv !="")  //chrome
+				 {addEvent(el,'mouseover',this.tipOver);
+					addEvent(el,'mousemove',this.tipMouseMove);
+					addEvent(el,'mouseout',this.tipOut);
+					var sv = el.getAttribute('swttips');
+					el.setAttribute('tiptitle', tv);
+					el.setAttribute('tipswt', sv );
+					el.removeAttribute('title'); 
+					el.removeAttribute('swttips');}
+				el.removeAttribute('alt');}
+		}
+	},
+
+	updateXY : function(e) {
+		if ( document.captureEvents ) {
+			sweetTitles.xCord = e.pageX;
+			sweetTitles.yCord = e.pageY;
+		} else if ( window.event.clientX ) {
+			sweetTitles.xCord = window.event.clientX+document.documentElement.scrollLeft;
+			sweetTitles.yCord = window.event.clientY+document.documentElement.scrollTop;}
+	},
+	tipOut: function() {
+		if ( window.tID ) {
+			clearTimeout(tID);		}
+		if ( window.opacityID ) {
+			clearTimeout(opacityID);}
+		sweetTitles.x.style.visibility = 'hidden';},
+	checkNode : function() {
+		var trueObj = this.obj;
+		if ( this.tipElements.inArray(trueObj.nodeName.toLowerCase()) ) {
+			return trueObj;
+		} else {return trueObj.parentNode;}
+	},
+	tipOver : function(e) {sweetTitles.obj = this;
+	tID = window.setTimeout("sweetTitles.tipShow()",100);
+	 sweetTitles.updateXY(e);},
+	
+	tipMouseMove : function(e) {sweetTitles.updateXY(e); sweetTitles.tipMove();},
+	
+	tipShow : function() {			
+		var anch = this.checkNode();
+		this.x.innerHTML ="";
+	 this.x.innerHTML = "<p class='title'> <span> "+anch.getAttribute('tiptitle')+"</span></p>";
+		sv = anch.getAttribute('tipswt');
+		if (( sv != "null" )&& (sv !="")) // for chrome
+		{this.x.innerHTML= this.x.innerHTML + "<p>" + anch.getAttribute('tipswt') + "</p>"; }
+		sweetTitles.Move;
+		var T = this.x.style;
+		T.visibility = 'visible';
+		T.opacity = '.1';
+		this.tipFade(10);	},
+	
+	tipMove: function()
+	{ var scrX = Number(this.xCord);
+		var scrY = Number(this.yCord);
+		var tp = parseInt(scrY+8);
+		var lt = parseInt(scrX+8);
+		var D = document.documentElement;
+		var T = this.x.style;
+		if ( parseInt(D.clientWidth+D.scrollLeft) < parseInt(this.x.offsetWidth+lt) ) {
+			T.left = parseInt(lt-(this.x.offsetWidth+3))+'px';
+		} else {
+			T.left = lt+'px';		}
+		if ( parseInt(D.clientHeight+D.scrollTop) < parseInt(this.x.offsetHeight+tp) ) {
+			T.top = parseInt(tp-(this.x.offsetHeight+3))+'px';
+		} else {T.top = tp+'px';		}
+	},
+	tipFade: function(opac) {
+		var passed = parseInt(opac);
+		var newOpac = parseInt(passed+10);
+		 T = this.x.style;
+		if ( newOpac < 92 ) {
+			T.opacity = '.'+newOpac;
+			T.filter = "alpha(opacity:"+newOpac+")";
+			opacityID = window.setTimeout("sweetTitles.tipFade('"+newOpac+"')",20);}
+		else { T.opacity = '.92';
+			T.filter = "alpha(opacity:92)";		}
+	}
+};
+function pageLoader() {	sweetTitles.init();}
+addEvent2(window,'load',pageLoader);
Index: extensions/LLGBO2/js/sweettitlesn_commentori.js
===================================================================
--- extensions/LLGBO2/js/sweettitlesn_commentori.js	(revision 4297)
+++ extensions/LLGBO2/js/sweettitlesn_commentori.js	(revision 4297)
@@ -0,0 +1,109 @@
+/*
+Sweet Titles (c) Creative Commons 2005
+http://creativecommons.org/licenses/by-sa/2.5/
+Author: Dustin Diaz | http://www.dustindiaz.com
+Revision:ex-ftb 2006*/
+var sweetTitles = { 
+	xCord : 0,								
+	yCord : 0,								
+	tipElements : ['a','img','span','area'],			
+	obj : Object,							
+	x : Object,							
+	init : function() {
+		if ( !document.getElementById ||
+			!document.createElement ||
+			!document.getElementsByTagName ) {return;	}
+		var i,j,Over;
+		this.x = document.createElement('div');	
+		this.x.id = 'toolTip';
+		document.getElementsByTagName('body')[0].appendChild(this.x);
+		this.x.style.top = '0';
+		this.x.style.visibility = 'hidden';
+		var tipLen = this.tipElements.length;
+		for ( i=0; i<tipLen; i++ ) {
+			var Elms = document.getElementsByTagName(this.tipElements[i]);
+			var curLen = Elms.length;
+			for ( j=0; j<curLen; j++ ) {
+				var el= Elms[j];
+				var tv = el.getAttribute('title')
+				if ( tv != null && tv != "null" && tv !="")  //chrome
+				 {addEvent(el,'mouseover',this.tipOver);
+					addEvent(el,'mousemove',this.tipMouseMove);
+					addEvent(el,'mouseout',this.tipOut);
+					var sv = el.getAttribute('swttips');
+					el.setAttribute('tiptitle', tv);
+					el.setAttribute('tipswt', sv );
+					el.removeAttribute('title'); 
+					el.removeAttribute('swttips');}
+				el.removeAttribute('alt');}
+		}
+	},
+
+	updateXY : function(e) {
+		if ( document.captureEvents ) {
+			sweetTitles.xCord = e.pageX;
+			sweetTitles.yCord = e.pageY;
+		} else if ( window.event.clientX ) {
+			sweetTitles.xCord = window.event.clientX+document.documentElement.scrollLeft;
+			sweetTitles.yCord = window.event.clientY+document.documentElement.scrollTop;}
+	},
+	tipOut: function() {
+		if ( window.tID ) {
+			clearTimeout(tID);		}
+		if ( window.opacityID ) {
+			clearTimeout(opacityID);}
+		sweetTitles.x.style.visibility = 'hidden';},
+	checkNode : function() {
+		var trueObj = this.obj;
+		if ( this.tipElements.inArray(trueObj.nodeName.toLowerCase()) ) {
+			return trueObj;
+		} else {return trueObj.parentNode;}
+	},
+	tipOver : function(e) {sweetTitles.obj = this;
+	tID = window.setTimeout("sweetTitles.tipShow()",100);
+	 sweetTitles.updateXY(e);},
+	
+	tipMouseMove : function(e) {sweetTitles.updateXY(e); sweetTitles.tipMove();},
+	
+	tipShow : function() {			
+		var anch = this.checkNode();
+		this.x.innerHTML ="";
+	 this.x.innerHTML = "<p class='title'> <span> "+anch.getAttribute('tiptitle')+"</span></p>";
+		sv = anch.getAttribute('tipswt');
+		if (( sv != "null" )&& (sv !="")) // for chrome
+		{this.x.innerHTML= this.x.innerHTML + "<p>" + anch.getAttribute('tipswt') + "</p>"; }
+		sweetTitles.Move;
+		var T = this.x.style;
+		T.visibility = 'visible';
+		T.opacity = '.1';
+		this.tipFade(10);	},
+	
+	tipMove: function()
+	{ var scrX = Number(this.xCord);
+		var scrY = Number(this.yCord);
+		var tp = parseInt(scrY+8);
+		var lt = parseInt(scrX+8);
+		var D = document.documentElement;
+		var T = this.x.style;
+		if ( parseInt(D.clientWidth+D.scrollLeft) < parseInt(this.x.offsetWidth+lt) ) {
+			T.left = parseInt(lt-(this.x.offsetWidth+3))+'px';
+		} else {
+			T.left = lt+'px';		}
+		if ( parseInt(D.clientHeight+D.scrollTop) < parseInt(this.x.offsetHeight+tp) ) {
+			T.top = parseInt(tp-(this.x.offsetHeight+3))+'px';
+		} else {T.top = tp+'px';		}
+	},
+	tipFade: function(opac) {
+		var passed = parseInt(opac);
+		var newOpac = parseInt(passed+10);
+		 T = this.x.style;
+		if ( newOpac < 92 ) {
+			T.opacity = '.'+newOpac;
+			T.filter = "alpha(opacity:"+newOpac+")";
+			opacityID = window.setTimeout("sweetTitles.tipFade('"+newOpac+"')",20);}
+		else { T.opacity = '.92';
+			T.filter = "alpha(opacity:92)";		}
+	}
+};
+function pageLoader() {	sweetTitles.init();}
+addEvent2(window,'load',pageLoader);