Index: extensions/piclens/include/Piclens.class.php
===================================================================
--- extensions/piclens/include/Piclens.class.php	(revision 3907)
+++ extensions/piclens/include/Piclens.class.php	(revision 4307)
@@ -482,5 +482,6 @@
 			if (isset($conf['NO_https']) and $conf['NO_https'] and strncasecmp($rssfeed, 'https://', 8) == 0 ) 
 					$rssfeed = 'http://' . substr($rssfeed, 8);
-		
+
+/////////
 			$color = $this->my_config['piclens_wall_color'];
 			$height = $this->my_config['piclens_wall_height'];
@@ -488,24 +489,68 @@
 			$showembed = ($this->my_config['piclens_wall_showembed'] ? "true" : "false");
 			$showsearch = ($this->my_config['piclens_wall_showsearch'] ? "true" : "false");
+			$transparent = $this->my_config['piclens_wall_transparent'];
+			$swf_link = ($this->my_config['piclens_wall_swflocal'] ? $this->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf');
+			$nbligne = (isset($this->my_config['piclens_wall_nb_ligne']) ? $this->my_config['piclens_wall_nb_ligne'] : "3");
+
+			$showChrome = ($this->my_config['piclens_wall_showChrome'] ? "true" : "false");
+			$showDescription = ($this->my_config['piclens_wall_showDescription'] ? "true" : "false");
+			$showReflections = ($this->my_config['piclens_wall_showReflections'] ? "true" : "false");
+			$showTutorial = ($this->my_config['piclens_wall_showTutorial'] ? "true" : "false");
+			$showNavArrows = ($this->my_config['piclens_wall_showNavArrows'] ? "true" : "false");
+			$backgroundAlpha = isset($this->my_config['piclens_wall_backgroundAlpha']) ? $this->my_config['piclens_wall_backgroundAlpha'] : "1.0";
+            $backgroundColor =  str_replace('#', '%23', $this->my_config['piclens_wall_backgroundColor']);
+			$glowColor	= str_replace('#', '%23', $this->my_config['piclens_wall_glowColor']);
+			$descriptionHeight = $this->my_config['piclens_wall_descriptionHeight'];
+			$tilt = $this->my_config['piclens_wall_tilt'];
+                
+			if (!empty($this->my_config['piclens_wall_backgroundImage']))
+					$backgroundImage = $this->my_config['piclens_wall_backgroundImage']; 
+			if (!empty($this->my_config['piclens_wall_tutorial']))
+					$tutorial = (empty($this->my_config['piclens_wall_tutorialtime']) ? "4500" : $this->my_config['piclens_wall_tutorialtime']).','.$this->my_config['piclens_wall_tutorial']; 
+			if (!empty($this->my_config['piclens_wall_customButtonURL']))
+					$customButton = $this->my_config['piclens_wall_customButtonURL'].(empty($this->my_config['piclens_wall_customButtonTARGET']) ? ','.PICLENS_PATH : ','.$this->my_config['piclens_wall_customButtonTARGET']); 
+
+			if (!empty($this->my_config['piclens_wall_icons']))
+					$icons = $this->my_config['piclens_wall_icons']; 
+			if (!empty($this->my_config['piclens_wall_linkCSS']))
+					$linkCSS = $this->my_config['piclens_wall_linkCSS']; 
+///////
+
 			$template->assign('THUMBNAILS', 
-				'<object id="o" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" 
-					width="100%" height="'.$this->my_config['piclens_wall_height'].'" >
-						<param name="movie" value="'
-// Test si utilisation du fichier flash local.
-						.($this->my_config['piclens_wall_swflocal'] ? $this->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf') 
-						.'?feed='.$rssfeed.'&amp;style='.$color.'&amp;showEmbed='.$showembed.'&amp;showFullScreen='.$showfullscreen.'&amp;showSearch='.$showsearch.'" />
-						<param name="allowFullScreen" value="'.$showfullscreen.'" />
-						<param name="showEmbed" value="'.$showembed.'" />
-						<param name="showSearch" value="'.$showsearch.'" />
-						<param name="allowScriptAccess" value="always" />'
-						.($this->my_config['piclens_wall_transparent']  
-							?	'<param name="wmode" value="transparent" />
-								<embed WMODE="transparent"' 
-							: 	'<embed ')
-						.'type="application/x-shockwave-flash" src="'
-// Test si utilisation du fichier flash local.
-						.($this->my_config['piclens_wall_swflocal'] ? $this->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf') 
-						.'?feed='.$rssfeed.'&amp;style='.$color.'&amp;showEmbed='.$showembed.'&amp;showFullScreen='.$showfullscreen.'&amp;showSearch='.$showsearch.'" width="100%" height="'.$height.'" showEmbed="'.$showembed.'" showSearch="'.$showsearch.'" allowFullScreen="'.$showfullscreen.'" allowScriptAccess="always" />
-				</object>'); 
+                '<object id="o" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" 
+                        <param name="movie" value="'.$swf_link.'?feed='.$rssfeed.'&amp;style='.$color.'&amp;showEmbed='.$showembed.'&amp;showFullScreen='.$showfullscreen.'&amp;showSearch='.$showsearch.'&amp;numRows='.$nbligne.'&amp;showChrome='.$showChrome.'&amp;showDescription='.$showDescription.'&amp;showReflections='.$showReflections.'&amp;showTutorial='.$showTutorial.'&amp;showNavArrows='.$showNavArrows.'&amp;backgroundAlpha='.$backgroundAlpha.'&amp;backgroundColor='.$backgroundColor.'&amp;glowColor='.$glowColor.'&amp;descriptionHeight='.$descriptionHeight.'&amp;tilt='.$tilt
+                        .(isset($backgroundImage) ? '&amp;backgroundImage='.$backgroundImage : '')
+                        .(isset($tutorial)?'&amp;tutorial='.$tutorial : '')
+                        .(isset($customButton)?'&amp;customButton='.$customButton:'')
+                        .(isset($icons)?'&amp;icons='.$icons:'')
+                        .(isset($linkCSS)?'&amp;linkCSS='.$linkCSS:'')
+                        .'" />
+                    width="100%" height="'.$height.'" >
+                        <param name="allowFullScreen" value="'.$showfullscreen.'" />
+                        <param name="showEmbed" value="'.$showembed.'" />
+                        <param name="showSearch" value="'.$showsearch.'" />
+                        <param name="allowScriptAccess" value="always" />
+                        <param name="flashvars" value="feed='.$rssfeed.'&amp;style='.$color.'&amp;showEmbed='.$showembed.'&amp;showFullScreen='.$showfullscreen.'&amp;showSearch='.$showsearch.'&amp;numRows='.$nbligne.'&amp;showChrome='.$showChrome.'&amp;showDescription='.$showDescription.'&amp;showReflections='.$showReflections.'&amp;showTutorial='.$showTutorial.'&amp;showNavArrows='.$showNavArrows.'&amp;backgroundAlpha='.$backgroundAlpha.'&amp;backgroundColor='.$backgroundColor.'&amp;glowColor='.$glowColor.'&amp;descriptionHeight='.$descriptionHeight.'&amp;tilt='.$tilt
+                        .(isset($backgroundImage)?'&amp;backgroundImage='.$backgroundImage:'')
+                        .(isset($tutorial)?'&amp;tutorial='.$tutorial:'')
+                        .(isset($customButton)?'&amp;customButton='.$customButton:'')
+                        .(isset($icons)?'&amp;icons='.$icons:'')
+                        .(isset($linkCSS)?'&amp;linkCSS='.$linkCSS:'').'" />
+                        
+                        '.(isset($transparent)?'<param name="wmode" value="transparent" />':'')
+                        .'<embed '.(isset($transparent)?'WMODE="transparent"':'').' type="application/x-shockwave-flash" 
+                        src="'.$swf_link.'?feed='.$rssfeed.'&amp;style='.$color.'&amp;showEmbed='.$showembed.'&amp;showFullScreen='.$showfullscreen.'&amp;showSearch='.$showsearch.'&amp;numRows='.$nbligne.'&amp;showChrome='.$showChrome.'&amp;showDescription='.$showDescription.'&amp;showReflections='.$showReflections.'&amp;showTutorial='.$showTutorial.'&amp;showNavArrows='.$showNavArrows.'&amp;backgroundAlpha='.$backgroundAlpha.'&amp;backgroundColor='.$backgroundColor.'&amp;glowColor='.$glowColor.'&amp;descriptionHeight='.$descriptionHeight.'&amp;tilt='.$tilt
+                        .(isset($backgroundImage)?'&amp;backgroundImage='.$backgroundImage:'')
+                        .(isset($tutorial)?'&amp;tutorial='.$tutorial:'')
+                        .(isset($customButton)?'&amp;customButton='.$customButton:'')
+                        .(isset($icons)?'&amp;icons='.$icons:'')
+                        .(isset($linkCSS)?'&amp;linkCSS='.$linkCSS:'').'" 
+                        width="100%" height="'.$height.'" showEmbed="'.$showembed.'" showSearch="'.$showsearch.'" allowFullScreen="'.$showfullscreen.'" allowScriptAccess="always" style="'.$color.'" numRows="'.$nbligne.'" showChrome="'.$showChrome.'" showDescription="'.$showDescription.'" showReflections="'.$showReflections.'" showTutorial="'.$showTutorial.'" showNavArrows="'.$showNavArrows.'"  backgroundAlpha="'.$backgroundAlpha.'" backgroundColor="'.$backgroundColor.'" glowColor="'.$glowColor.'" descriptionHeight="'.$descriptionHeight.'" tilt="'.$tilt.'" '
+                        .(isset($backgroundImage)?'backgroundImage="'.$backgroundImage.'"':'')
+                        .(isset($tutorial)?'tutorial="'.$tutorial.'"':'')
+                        .(isset($customButton)?'customButton="'.$customButton.'"':'')
+                        .(isset($icons)?'icons="'.$icons.'"':'')
+                        .(isset($linkCSS)?'linkCSS="'.$linkCSS.'"':'').'/>
+                </object>');
 
 		// Suppression de la barre de navigation