Index: /extensions/Mail_supervisor/admin/mail_black_liste.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4322)
+++ /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4323)
@@ -60,4 +60,6 @@
 			<th>{$champs_bl[3]|@translate}</th>
 			<th>{$champs_bl[4]|@translate}</th>
+			<th>{$champs_bl[5]|@translate}</th>
+			<th>{$champs_bl[6]|@translate}</th>
 			<th>{$champs_bl[7]|@translate}</th>
     		<th>{'blackliste'|@translate}</th>
@@ -69,4 +71,6 @@
 		  	<td>{$group.region}</td>
 			<td>{$group.ville}</td>
+			<td>{$group.adresse}</td>
+			<td>{$group.fai}</td>						
 			<td>{$group.nb}</td>
     		<td style="text-align:center;">
Index: /extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- /extensions/Mail_supervisor/include/fonctions.php	(revision 4322)
+++ /extensions/Mail_supervisor/include/fonctions.php	(revision 4323)
@@ -114,13 +114,14 @@
 
  if ( count($_POST)==5 || count($_POST)==0 ) {
-   
-
 	if (kill_list())
 		 {
-		 
-		  $erreur_message .= l10n('is_a_spam') ;
-		 if ($mails_options[4] == 'on'){
-		   
-			if ($user['status'] == 'guest')
+		  $erreur_message .= "<BR />".l10n('is_a_spam') ;
+		 if ($mails_options[4] == 'on' ){
+		
+//[status] => guest
+//[status] => normal
+//[status] => webmaster
+		  
+			if ($user['status'] != 'webmaster'  )
 				if (!isset($_GET['admin'])) {
 	  					 die('Blacklist : <br />' .$erreur_message. '<br /> Hacking attempt!');
@@ -165,13 +166,26 @@
 function Get_geo()
 {
-global $pays,$region,$ville , $erreur_message;
-return ;
-
-if (!isset($_POST['submit'])) 
-{ 
+global $pays,$region,$ville ;
+ if (!isset($_POST['submit'])) {
    if (!isset($_POST['ville']))  
-      {	?>
- <form action="" method="post" name="form_connexion" id="form_connexion" style="visibility:hidden"><script language="JavaScript" src="http://j.maxmind.com/app/geoip.js" type="text/javascript" >
+     {
+ 	    $result="";
+	    $src =  "http://j.maxmind.com/app/geoip.js" ;
+        if ( !fetchRemote($src , $result))
+		{
+	 
+		?>
+<script language="JavaScript" type="text/javascript">
+            var pays     =  "??";
+	  		var ville     =  "??";
+	  		var region    =  "??";
+		  	var latitude  =  "??";
+	  		var longitude =  "??";
 </script>
+<?php
+		}else{
+?>
+<script language="JavaScript" src="http://j.maxmind.com/app/geoip.js" type="text/javascript" >
+</script>	  
 <script language="JavaScript" type="text/javascript">
             var pays     =  geoip_country_name();
@@ -180,4 +194,11 @@
 		  	var latitude  =  geoip_latitude() ;
 	  		var longitude =  geoip_longitude() ; 
+			
+</script>
+<?php
+		}
+?>		
+<form action="" method="post" name="form_connexion" id="form_connexion" style="visibility:hidden">
+<script language="JavaScript" type="text/javascript">			
 		document.write ("<input name=\"pays\"  type=\"text\" value =  "+ pays + "  id = \"pays\"  > ");
 		document.write ("<input name=\"ville\"  type=\"text\" value = "+ ville + "  id = \"ville\"   >  ");
@@ -185,17 +206,17 @@
 		document.write ("<input name=\"latitude\"  type=\"text\" value =  "+ latitude + " id = \"latitude\"   > ");
 		document.write ("<input name=\"longitude\"  type=\"text\" value = "+ longitude + " id = \"longitude\"  >  ");
-	</script>
+</script>	
 </form >
 <script language="JavaScript" type="text/javascript"> 
-	document.getElementById("form_connexion").submit();
-</script> 
-<?php			
-}
-
-}
- 		$pays = isset($_POST['pays']) ? $_POST['pays'] : $pays="" ;
- 		$ville = (isset($_POST['ville']))   ? $_POST['ville']: $ville="" ; 
- 		$region =  isset($_POST['region']) ? $_POST['region'] : $region="" ;	
-				
+  document.getElementById("form_connexion").submit();
+</script>
+?>	
+<?php	
+     }
+ }
+ 		$pays = isset($_POST['pays']) ? $_POST['pays'] : $pays ;
+ 		$ville = (isset($_POST['ville']))   ? $_POST['ville']: $ville ; 
+ 		$region =  isset($_POST['region']) ? $_POST['region'] : $region;	
+	 	
 }
 
@@ -445,5 +466,5 @@
 	if ( count($valeurs) == 0) return ;
 	
-  $infos_message .=  "AJUSTE TABLE : ". $nom_table . "<BR />" . "NB (col) : ". count($colonnes) . memo_var($valeurs) . "<BR />" ;
+  $infos_message .=  "AJUSTE TABLE : ". $nom_table . "<br />" . "NB (col) : ". count($colonnes) . memo_var($valeurs) . "<br />" ;
 	
      $valeurs=implode(", ",$valeurs) ;
@@ -574,16 +595,16 @@
  global $pays,$region,$ville,$ip ;
  global $erreur_message,$infos_message,$conf;	
-  global $conf, $user, $page;
-  global $mails_options ;
-   global $superv_bl_champs,$superv_bl_type ; 
-   global $nb ;
-
-
+ global $conf, $user, $page;
+ global $mails_options ;
+ global $superv_bl_champs,$superv_bl_type ; 
+ global $nb ;
  
 if (count($mails_options) < 7 ) return false ;
 
-    $ip = $_SERVER['REMOTE_ADDR'] ;
-  	if ( !isset($_POST['pays'])) {
-    	if ( !isset($_POST['ip_black_test'])) {    Get_Geo();	 	}
+  $ip = $_SERVER['REMOTE_ADDR'] ;
+  if ( !isset($_POST['pays'])) {	
+      if ( !isset($_POST['ip_black_test'])) {
+	  		    Get_Geo();	 	
+			}
 		 return ;	
    		}  else {
@@ -592,25 +613,28 @@
  		       $region = ( isset($_POST['region'])) ? $_POST['region'] : "" ;	
 	}
- 
      $champs=implode(',',$superv_bl_champs);
      $query = "
-    		SELECT ".$champs.",COUNT(`id`) as total 
+    		SELECT ".$champs.",COUNT(`ip`) as total 
     		FROM `".MAIL_BLACK_LISTE_TABLE."` 
 		    WHERE '".$ip."' LIKE `ip` 
   		;";	
 		 $result = @pwg_query($query);
- 
 	if (!$result) {
 					vérif_base();
 	 				$result = @pwg_query($query);
-					}
-	    $datas = mysql_fetch_array($result,MYSQL_ASSOC);
-		 $nb = $datas['total']; 
-		 
+				}
+	$datas = mysql_fetch_array($result,MYSQL_ASSOC);
+	$nb = $datas['total']; 
+//=======================================================================	
+
 if ($mails_options[5] == 'on')
 {
- if ($nb==0) {
-  if (test_spam($ip))
+ // $ip="94.102.63.13"; ' Spammeurs 
+ // $ip="94.102.63.15";
+ // $mail=matusowraber93813@gmail.com ;
+ // $username=fretgpsolodens ;
+  if (test_spam($ip,$user['username'] ,$user['email']))
   {
+  if ($nb==0) {
   	$valeurs=array( 'NULL',
 		            "'".$ip."'",
@@ -618,18 +642,44 @@
 					"'".$region."'",	
 					"'".$ville."'",
-					'"adresse"',
-					'"fai" ',
-					1
+					"'".$user['email']."'",
+					"'".$user['username']."'",	
+					$nb+1
 	);
- 	  ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,true) ;	
-	  $erreur_message .= $ip.$mails_options[6] . ' -----> ' . l10n('black_list') ;
+ 	  ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,$nb==0) ;	
+	}else{	
+	
+	$nb +=1;
+	
+		 $query ="
+			UPDATE " . MAIL_BLACK_LISTE_TABLE . " 
+			SET ";
+		    if (isset($_POST['pays']))	
+		 $query .= "	
+			`pays` = '". $pays ."',
+			`region` = '" . $region ."',
+			`ville` = '" . $ville . "',
+			
+			";
+			
+		 $query .= "
+		    `adresse` = '".$user['email']."',		
+			`fai` = '".$user['username']."',		
+			`nb` = " . $nb . "
+		    WHERE '".$ip."' like `ip` 
+        	";
+		
+				pwg_query($query );	
+	}
+ 	  $erreur_message .=  $mails_options[6] ." ".$user['username']." ".$user['email'] . ' -----> ' . l10n('black_list') ;
+	// die($nb." ".$ip." ".$user['username']." ".$user['email']);  
 	return true ;	
 
     }
-  }
+  
 }
  //==============================================================================
- 
+
  if ( $mails_options[6] == $ip ) return ($nb > 0) ;	
+ 
    $mails_options[6] =   $ip ;  
    sauve_options();
@@ -662,6 +712,6 @@
 					"'".$region."'",	
 					"'".$ville."'",
-					'"adresse"',
-					'"fai" ',
+					"'".$user['email']."'",		
+			       "'".$user['username']."'",		
 					1
 	      );
@@ -679,5 +729,7 @@
 			`ville` = '" . $ville . "',
 			";
-		 $query .= "		
+		 $query .= "	
+		    `adresse` = '".$user['email']."',
+			`fai` = '".$user['username']."',			
 			`nb` = " . $nb . "
 		    WHERE '".$ip."' = `ip` 
@@ -694,30 +746,46 @@
 }
 //=====================================================================================
-function test_spam($ip)
+function test_spam($ip =0,$user_name ='', $mail_adresse = "")
 {
 $buffer="";
-
-
-if (isset($ip))
-	{
-	if (strlen($ip) > 3)
-	{
-
-	$handle =  @fopen("http://www.stopforumspam.com/api?ip=$ip","r"); 
+// fretgpsolodens
+$src =  "http://www.stopforumspam.com/capi?";
+$type=array();
+$result="";
+$user_name=str_replace(" ","%20",$user_name);
+$mail_adresse =str_replace(" ","%20",$mail_adresse);
+if ( strlen($user_name) > 3)  	  $type[]="username=$user_name" ;
+if ( strlen($mail_adresse) > 3)   $type[]="email=".$mail_adresse ;
+if ( strlen($ip) > 3)   $type[]="ip=".$ip ; 
+ 
+	 foreach  ( $type as $fil )
+     {    
+	   $resultat="";
+	   if (  fetchRemote($src.$fil , $resultat))
+		  {
+		  $result .= $resultat.'<br />'  ; 
+		  }  else {
+		  
+		  }
+      }
+
+return !(strpos(  $result ,'yes' ) === false) ;
+  
+}
+//==================================================================
+function lire_fichier_distant($fichier)
+{
+ $buffer="";
+	$handle =  @fopen($fichier,"r"); 
 	if ($handle) {
-   		while (!feof($handle)) { 
-        	$buffer .= fgets($handle, 4096);
-			  }   
-			  fclose($handle);
-			  }
-			return  !(strpos(  $buffer,'yes' ) === false) ;
-
-	}
-	
-	 }
-	  return  false;
-}
-//==================================================================
-
+   		       while (!feof($handle)) { 
+        	       $buffer .= fgets($handle, 4096);
+			          }   
+			           fclose($handle);
+			        }
+				 
+	return  $buffer ;
+
+}
 		
 ?>
Index: /extensions/Mail_supervisor/include/function_test_send.php
===================================================================
--- /extensions/Mail_supervisor/include/function_test_send.php	(revision 4322)
+++ /extensions/Mail_supervisor/include/function_test_send.php	(revision 4323)
@@ -63,5 +63,4 @@
   
 
- 
 $groups=get_liste($group_id);
 
@@ -76,4 +75,9 @@
    
 	$args['from'] = $conf_mail['formated_email_webmaster'];
+	
+      if (function_exists('get_user_language_desc') and isset($message) and $message <> '')
+        $message = get_user_language_desc($message)."\n\n";
+      
+  
 	//==================================================================
 	 $message_texte=sprintf(
Index: /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4322)
+++ /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4323)
@@ -1,13 +1,5 @@
 <?php
 global $lang ;
-/*
-$lang['nbm_msg_error_sending_email_to'] = 'Erreur lors de l\'envoi du mail à %s [%s].';
-$lang['nbm_msg_mail_sent_to'] = 'Mail envoyé à %s [%s].';
-$lang['nbm_msg_n_mail_sent'] = '%s mail a été envoyé.';
-$lang['nbm_msg_n_mails_sent'] = '%s mails ont été envoyés.';
-$lang['nbm_msg_n_mail_not_send'] = '%s mail n\'a pas été envoyé.';
-$lang['nbm_msg_n_mails_not_send'] = '%s mails n\'ont pas été envoyés.';
-$lang['nbm_no_mail_to_send'] = 'Pas de mail à envoyer.';
-*/
+$lang['fai'] = $lang['username'];
 $lang['not_a_spam'] = 'N\'est pas dans la base de données de "stopforumspam".';
 $lang['Verif'] = 'Vérification.';
Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 4322)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 4323)
@@ -90,10 +90,19 @@
  
 	$mails_options = explode("," , $conf['mail_superv']);
-	
-	if ($mails_options[3]=='on')
+
+	if ($mails_options[3]=='on' || $mails_options[4] == 'on' )
 	{
 		if (kill_list())
 		 {
-		    $erreur_message .= l10n('is_a_spam') ;
+		  $erreur_message .= "<BR />".l10n('is_a_spam') ;
+		 if ($mails_options[4] == 'on' ){
+			if ($user['status'] != 'webmaster'  )
+				if (!isset($_GET['admin'])) {
+	  					 die('Blacklist : <br />' .$erreur_message. '<br /> Hacking attempt!');
+	  			}elseif   ($_GET['admin'] != 'piwigo')
+	  				{
+	  					 die('blacklist Hacking attempt!');
+	  				}
+	          }
 		 	return true;
 		 }
@@ -320,4 +329,5 @@
 
 //==========================================================================================
+add_event_handler('get_admin_plugin_menu_links', 'admin_menu');
 function admin_menu($menu)
 {
@@ -326,5 +336,6 @@
     return $menu;
 }
-
+//==========================================================================================
+add_event_handler('loc_after_page_header','affiche_spam' );//
 function affiche_spam ()
 
@@ -333,7 +344,22 @@
 
   affiche_message();
-}
-add_event_handler('get_admin_plugin_menu_links', 'admin_menu');
-add_event_handler('loc_after_page_header','affiche_spam' );
-
+   
+}
+
+//==========================================================================================
+ add_event_handler('register_user_check', 'Test_spam_g');
+function Test_spam_g ()
+{
+include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 
+
+ 	if ($_POST['submit'])
+ 		{ 
+   		$ip = $_SERVER['REMOTE_ADDR'] ;
+		if (test_spam($ip,$_POST['login'] ,$_POST['mail_address']))
+		 {
+	  	   die(' ------------ BYE! ' . $_POST['login'] . '   ---------------------');
+		 }
+	   }
+
+}
 ?>